Package org.h2gis.functions.spatial.edit

# Class ST_UpdateZ

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.edit.ST_UpdateZ

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_UpdateZ extends org.h2gis.api.DeterministicScalarFunction
This function replace the z component of (each vertex of) the geometric parameter to the corresponding value given by a field. Note : If the dimension is equal to XY or XYM then it is forced to XYZ or XYZM

Author:
  Erwan Bocher

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_UpdateZ()`

## Method Summary

Modifier and Type
Method
Description
`static org.locationtech.jts.geom.GeometryCollection`
`convert(org.locationtech.jts.geom.GeometryCollection gc, double zValue)`
Force the dimension of the GeometryCollection and update correctly the coordinate dimension
`static org.locationtech.jts.geom.LinearRing`
`convert(org.locationtech.jts.geom.LinearRing linearRing, double zValue)`
Force the dimension of the LinearRing and update correctly the coordinate dimension
`static org.locationtech.jts.geom.LineString`
`convert(org.locationtech.jts.geom.LineString lineString, double zValue)`
Force the dimension of the LineString and update correctly the coordinate dimension
`static org.locationtech.jts.geom.MultiLineString`
`convert(org.locationtech.jts.geom.MultiLineString multiLineString, double zValue)`
Force the dimension of the MultiLineString and update correctly the coordinate dimension
`static org.locationtech.jts.geom.MultiPoint`
`convert(org.locationtech.jts.geom.MultiPoint mp, double zValue)`
Force the dimension of the MultiPoint and update correctly the coordinate dimension
`static org.locationtech.jts.geom.MultiPolygon`
`convert(org.locationtech.jts.geom.MultiPolygon multiPolygon, double zValue)`
Force the dimension of the MultiPolygon and update correctly the coordinate dimension
`static org.locationtech.jts.geom.Polygon`
`convert(org.locationtech.jts.geom.Polygon polygon, double zValue)`
Force the dimension of the Polygon and update correctly the coordinate dimension
`static org.locationtech.jts.geom.Geometry`
`force(org.locationtech.jts.geom.Geometry geom, double zValue)`
Force the dimension of the geometry and update correctly the coordinate dimension
`String`
`getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry`
`updateZ(org.locationtech.jts.geom.Geometry geometry, double z)`
Replace the z with same value.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_UpdateZ

public ST_UpdateZ()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### updateZ

public static org.locationtech.jts.geom.Geometry updateZ(org.locationtech.jts.geom.Geometry geometry, double z)
Replace the z with same value. NaN values are also updated.

Parameters:
  `geometry` -
  `z` -
Returns:
  geometry

### force

public static org.locationtech.jts.geom.Geometry force(org.locationtech.jts.geom.Geometry geom, double zValue)
Force the dimension of the geometry and update correctly the coordinate dimension

Parameters:
  `geom` - the input geometry
  `zValue` - to update
Returns:

### convert

public static org.locationtech.jts.geom.MultiPoint convert(org.locationtech.jts.geom.MultiPoint mp, double zValue)
Force the dimension of the MultiPoint and update correctly the coordinate dimension

Parameters:
  `mp` -
  `zValue` -
Returns:

### convert

public static org.locationtech.jts.geom.GeometryCollection convert(org.locationtech.jts.geom.GeometryCollection gc, double zValue)
Force the dimension of the GeometryCollection and update correctly the coordinate dimension

Parameters:
  `gc` -
  `zValue` -
Returns:

### convert

public static org.locationtech.jts.geom.MultiPolygon convert(org.locationtech.jts.geom.MultiPolygon multiPolygon, double zValue)
Force the dimension of the MultiPolygon and update correctly the coordinate dimension

Parameters:
  `multiPolygon` -
  `zValue` -
Returns:

### convert

public static org.locationtech.jts.geom.MultiLineString convert(org.locationtech.jts.geom.MultiLineString multiLineString, double zValue)
Force the dimension of the MultiLineString and update correctly the coordinate dimension

Parameters:
  `multiLineString` -
  `zValue` -
Returns:

### convert

public static org.locationtech.jts.geom.Polygon convert(org.locationtech.jts.geom.Polygon polygon, double zValue)
Force the dimension of the Polygon and update correctly the coordinate dimension

Parameters:
  `polygon` -
  `zValue` -
Returns:

### convert

public static org.locationtech.jts.geom.LineString convert(org.locationtech.jts.geom.LineString lineString, double zValue)
Force the dimension of the LineString and update correctly the coordinate dimension

Parameters:
  `lineString` -
  `zValue` -
Returns:

### convert

public static org.locationtech.jts.geom.LinearRing convert(org.locationtech.jts.geom.LinearRing linearRing, double zValue)
Force the dimension of the LinearRing and update correctly the coordinate dimension

Parameters:
  `linearRing` -
  `zValue` -
Returns: